From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/jsonschema-spec/
Date: Fri, 16 Jun 2023 04:05:58 +0000 (UTC) [thread overview]
Message-ID: <1686887636.1de88384650108a4b21af368fd7466648de71670.mgorny@gentoo> (raw)
commit: 1de88384650108a4b21af368fd7466648de71670
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 16 03:53:56 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jun 16 03:53:56 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1de88384
dev-python/jsonschema-spec: Bump to 0.2.2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/jsonschema-spec/Manifest | 1 +
.../jsonschema-spec/jsonschema-spec-0.2.2.ebuild | 44 ++++++++++++++++++++++
2 files changed, 45 insertions(+)
diff --git a/dev-python/jsonschema-spec/Manifest b/dev-python/jsonschema-spec/Manifest
index 8e1b82cadff4..8114994cbf52 100644
--- a/dev-python/jsonschema-spec/Manifest
+++ b/dev-python/jsonschema-spec/Manifest
@@ -3,3 +3,4 @@ DIST jsonschema-spec-0.1.5.gh.tar.gz 36035 BLAKE2B 4e6019fb1c7f5e85a03488e00ef08
DIST jsonschema-spec-0.1.6.gh.tar.gz 36043 BLAKE2B e85cad336d6b5ed11d6a51c8fab2c28826f6a9836ad50d2423b23bef047c338307d3e9430f1d151dbaf7a92574c9899dbfd016c570456996250e8d7634373313 SHA512 78ea06a78fd25006d270e2c5033645133ee79b0f45cbfc54e250d4225a36beac59cf9aa92f15fd51bd101fac20fee990d693ab91d8343cd6a298d71735c80884
DIST jsonschema-spec-0.2.0.gh.tar.gz 37210 BLAKE2B 44892638371f8ed9074c997e0590594a55a4a00bb0f88bbe535021726f1de6b961825a710c7f1ed63081c5ee7d252bc4f5bcc2cb462ded71ecb492625876c811 SHA512 6bc9f50f9132a72243df1a20d16d049ca1413904fba5403fb780663c0819ae3be8dfd51efada84118e34e157e95475e375df9c6ce1e1930c72c6d45dc71d4d04
DIST jsonschema-spec-0.2.1.gh.tar.gz 37242 BLAKE2B 8e1b2c4e44052fba0e78cefdf0a60a1e14adbe9f0027464d87e635bac7bb2ce1aefe65c92a1224877128ee23505402f199aca119cd48769d9149d57b5f9ec7ea SHA512 1d1769e301f60c2b2a1e7b413e5d1081f3e069bf29ad12d5e3c4b0c91094c8e78f44b01642a9a58f229e5efe69db14276cf067d9dad37d53c8a35368bd62d6d6
+DIST jsonschema-spec-0.2.2.gh.tar.gz 37188 BLAKE2B 05f740f36bf93da99e88167b054883c39cea05cc5271722cd25ab345da5c6a63aa3dcea0af370686e227af3eabe39e01ec196ae90452c4d2814828d7acb35400 SHA512 25bd6cd2a7ab8f40e05a78ec4b69601cee7cb9c22c43eaeb66777b991249f4314eb27038ee6ec1f8b7e15c782385ef604e4454179ef6a2307c1a73731f72a021
diff --git a/dev-python/jsonschema-spec/jsonschema-spec-0.2.2.ebuild b/dev-python/jsonschema-spec/jsonschema-spec-0.2.2.ebuild
new file mode 100644
index 000000000000..0c82e0a19efb
--- /dev/null
+++ b/dev-python/jsonschema-spec/jsonschema-spec-0.2.2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( pypy3 python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="JSONSchema Spec with object-oriented paths"
+HOMEPAGE="
+ https://pypi.org/project/jsonschema-spec/
+ https://github.com/p1c2u/jsonschema-spec/
+"
+SRC_URI="
+ https://github.com/p1c2u/jsonschema-spec/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+RDEPEND="
+ >=dev-python/pathable-0.4.1[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+ >=dev-python/referencing-0.28.1[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/responses[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/--cov/d' pyproject.toml || die
+ # remove random pins due to caret operator
+ sed -i -e 's:\^:>=:' -e 's:,<[0-9.]*::' pyproject.toml || die
+ distutils-r1_src_prepare
+}
next reply other threads:[~2023-06-16 4:06 UTC|newest]
Thread overview: 42+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-06-16 4:05 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-12 19:32 [gentoo-commits] repo/gentoo:master commit in: dev-python/jsonschema-spec/ Michał Górny
2024-02-08 16:12 Michał Górny
2023-11-09 21:12 Arthur Zamarin
2023-10-24 17:51 Michał Górny
2023-09-17 11:29 Michał Górny
2023-09-17 5:15 Arthur Zamarin
2023-09-17 5:07 Arthur Zamarin
2023-09-17 5:07 Arthur Zamarin
2023-09-17 5:07 Arthur Zamarin
2023-09-16 22:58 Sam James
2023-09-14 5:27 WANG Xuerui
2023-09-10 5:27 WANG Xuerui
2023-08-17 8:36 Michał Górny
2023-08-13 16:10 Arthur Zamarin
2023-08-13 16:08 Arthur Zamarin
2023-08-13 6:37 Joonas Niilola
2023-07-09 12:48 Michał Górny
2023-07-09 4:37 Sam James
2023-07-09 3:26 Michał Górny
2023-06-13 9:04 Yixun Lan
2023-06-13 5:12 Michał Górny
2023-06-13 4:30 Michał Górny
2023-06-12 15:44 Michał Górny
2023-06-12 11:37 Michał Górny
2023-06-11 5:18 Michał Górny
2023-04-16 18:56 Michał Górny
2023-04-16 17:10 Arthur Zamarin
2023-03-17 13:33 Michał Górny
2023-03-03 19:16 Michał Górny
2023-03-03 18:50 Arthur Zamarin
2023-02-01 13:18 Michał Górny
2022-10-08 15:15 Michał Górny
2022-10-08 12:26 Sam James
2022-10-08 12:26 Sam James
2022-09-22 10:29 Michał Górny
2022-09-16 6:36 Arthur Zamarin
2022-09-16 6:36 Arthur Zamarin
2022-09-03 21:39 Jakov Smolić
2022-09-02 19:30 Jakov Smolić
2022-09-02 17:46 Arthur Zamarin
2022-09-02 15:18 Arthur Zamarin
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1686887636.1de88384650108a4b21af368fd7466648de71670.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox